[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#215442: does not load eg, alim15x3 ide chipset driver, dma timeouts on fujutsu lifebooks



Package: hw-detect
Version: 0.43
Severity: important
Tags: d-i

I booted debian-installer on my lifebook from floppy and USB keychain,
and hw-detect ran. Then something I'm working on tried to mount the IDE 
hard drive. This hung with IDE timeout messages. Investigation revealed
that if I modprobe alim15x3 before hw-detect, my drive works, otherwise
it does not.

Note that the initrd used to boot stock debian kernels outside of d-i
modprobes every ide chipset driver known to man before ide-disk. This
apparently works everywhere -- we have thousands of users booting with
the stock kernels and ide. It would perhaps be wise to copy that
procedure in hw-detect. You can find the code in /usr/sbin/mkinitrd, in
print_ide_modules. Essentially it loads ide-core, then loads every
module in $MODULEDIR/kernel/drivers/ide/pci, and finally loads
ide-detect and ide-disk.

The following patch works to me, but I will not commit it because I'm
sure there's a better way.

--- /home/joey/src/debian-installer/build/tmp/hd-media/tree/bin/hw-detect	2003-10-07 14:30:09.000000000 -0400
+++ hw-detect.sh	2003-10-12 15:20:32.000000000 -0400
@@ -34,6 +34,12 @@
 	return
     fi
 
+    # Hack to make it load my chipset driver before ide-detect, to fix DMA
+    # problems -- JEH.
+    if [ "$module" = "ide-detect" ]; then
+	    modprobe alim15x3 >> /var/log/messages 2>&1 || true
+    fi
+    
     db_subst hw-detect/module_params MODULE "$module"
     db_input low hw-detect/module_params || [ $? -eq 30 ]
     db_go

-- 
see shy jo

Attachment: signature.asc
Description: Digital signature


Reply to: